View Issue Details

IDProjectCategoryView StatusLast Update
0003239SymmetricDSBugpublic2017-09-20 09:55
ReporterchensonAssigned Tomaxwellpettit 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version3.8.27 
Target Version3.8.30Fixed in Version3.8.30 
Summary0003239: Observed that two load threads are loading the same batch at the same time during a pull
DescriptionIf the connection is closed for the original pull thread while the batch continues to load, then a new pull thread can be started and the same batch can be loaded at the same time. SymmetricDS should be able to prevent that.
TagsNo tags attached.

Activities

chenson

2017-09-19 14:54

administrator   ~0001072

Same thing is true for extract threads. Fixing that as well.

Related Changesets

SymmetricDS: 3.8 e0a35899

2017-09-05 10:59:52

maxwellpettit

Details Diff
0003239: Observed that two load threads are loading the same batch at
the same time during a pull

0003239
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataLoaderService.java Diff File

SymmetricDS: 3.8 a81d340f

2017-09-19 10:47:47

chenson42

Details Diff
0003239: Observed that two load threads are loading the same batch at
the same time during a pull

0003239
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataLoaderService.java Diff File

SymmetricDS: 3.8 043eb8ff

2017-09-19 14:53:27

chenson42

Details Diff
0003239: Observed that two load threads are loading the same batch at
the same time during a pull

0003239
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File

Issue History

Date Modified Username Field Change
2017-08-30 11:57 chenson New Issue
2017-08-30 11:57 chenson Status new => assigned
2017-08-30 11:57 chenson Assigned To => maxwellpettit
2017-09-05 11:00 maxwellpettit Changeset attached => SymmetricDS 3.8 e0a35899
2017-09-19 10:45 chenson Fixed in Version => 3.8.30
2017-09-19 10:45 chenson Target Version => 3.8.30
2017-09-19 11:00 chenson42 Changeset attached => SymmetricDS 3.8 a81d340f
2017-09-19 14:54 chenson Note Added: 0001072
2017-09-19 15:00 chenson42 Changeset attached => SymmetricDS 3.8 043eb8ff
2017-09-20 09:55 chenson Status assigned => resolved
2017-09-20 09:55 chenson Resolution open => fixed